<?xml version="1.0" encoding="utf-8"?> 
<ui:composition 
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
    xmlns:h="http://xmlns.jcp.org/jsf/html"
    xmlns:f="http://xmlns.jcp.org/jsf/core"
    xmlns:p="http://primefaces.org/ui">
    <h:form>
        <p:dialog widgetVar="serviciosAdicionalesDialog" header="Detalles de Recaudo" 
                  showEffect="clip" hideEffect="clip">
            <p:panelGrid id="panelServiciosAdicionales" columns="4">
                <f:facet name="header">Solicitud de Servicios Adicionales</f:facet>

                <h:outputText value="NOMBRE SERVICIO"/>
                <p:inputText value="#{solicitudesBean.nuevoServicioAdicional.nombreservicio}"/>

                <h:outputText value="DESCRIPCIÓN"/>
                <p:inputText value="#{solicitudesBean.nuevoServicioAdicional.descripcionservicio}"/>

                <h:outputText value="DESEA MONTACARGA"/>
                <p:inputText value="#{solicitudesBean.nuevoServicioAdicional.montacarga}"/>

                <h:outputText value="CANTIDAD AUXILIARES"/>
                <p:inputText value="#{solicitudesBean.nuevoServicioAdicional.cantidadauxiliares}"/>

                <p:commandButton value="Guardar" class="botonbuscador" 
                                 action="#{solicitudesBean.agregarServicioAdicional()}"
                                 update="panelServiciosAdicionales, serviciosForm:panelServiciosAdicionales"/>
                <p:commandButton id="exitButtonBitacora" value="Salir" 
                                 oncomplete="PF('serviciosAdicionalesDialog').hide();" />
            </p:panelGrid>
        </p:dialog>
    </h:form>
</ui:composition>
